apptainer(1)

NAME
apptainer-remote - Manage apptainer remote endpoints

SYNOPSIS
apptainer remote [remote options...]

DESCRIPTION
The 'remote' command allows you to manage Apptainer remote endpoints through
  its subcommands.

A 'remote endpoint' is a group of services that is compatible with the
  container library API. The remote endpoint is a single address,
  e.g. 'cloud.example.com' through which library and/or keystore services
  will be automatically discovered.

To configure a remote endpoint you must 'remote add' it. You can 'remote login' if
  you will be performing actions needing authentication. Switch between
  configured remote endpoints with the 'remote use' command. The active remote
  endpoint will be used for key operations, and 'library://' pull
  and push. You can also 'remote logout' from and 'remote remove' an endpoint that
  is no longer required.

The remote configuration is stored in $HOME/.apptainer/remotes.yaml by default.

OPTIONS
-c, --config="/builddir/.apptainer/remote.yaml"
    path to the file holding remote endpoint configurations

-h, --help[=false]
    help for remote

EXAMPLE
      All group commands have their own help output:
        $ apptainer help remote list
        $ apptainer remote list

SEE ALSO
apptainer(1), apptainer-remote-add(1), apptainer-remote-get-login-password(1), apptainer-remote-list(1), apptainer-remote-login(1), apptainer-remote-logout(1), apptainer-remote-remove(1), apptainer-remote-status(1), apptainer-remote-use(1)

HISTORY
15-May-2025 Auto generated by spf13/cobra